<?php
/**
Plugin Name: Amazon Addon - Format Features
Plugin URI: http://www.fischercreativemedia.com/custom-plugins/
Description: Custom Plugin to add Feature List Items to Features.
Version: 1.0.1
Author: Don Fischer
Author URI: http://www.fischercreativemedia.com/
Author Email: dfischer@fischercreativemedia.com
License: GPL2

  Copyright 2016 (dfischer@fischercreativemedia.com)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/
 //Required for plugin update
require 'updates/plugin-update-checker.php';
new FCMPluginUpdateChecker_1_6 ( 'http://graphiccaffeine.com/wp-admin/admin-ajax.php', __FILE__ );

class setUp_APPIP_Features {
	function __construct(){
		add_filter( 'apipp_amazon_product_array_filter', array( $this, 'apipp_amazon_product_array_filter_change'), 10, 2 );
	}

	/**
	 * Change Features.
	 * @since 1.0
	 */
	public function apipp_amazon_product_array_filter_change($RetVal,$Item){
		if(isset($Item['ItemAttributes']['Feature'])){
			$FeatNew = array();
			$newFeat = $RetVal['Feature'];
			if(is_array($Item['ItemAttributes']['Feature']) && !empty($Item['ItemAttributes']['Feature'])){
				foreach($Item['ItemAttributes']['Feature'] as $feat){
					$FeatNew[] = '<li class="amazon-item-feature">'.$feat.'</li>';	
				}
				if(!empty($FeatNew))
					$newFeat = '<ul>'."\n".implode("\n",$FeatNew).'</ul>'."\n";
			}else{
				if(!empty($Item['ItemAttributes']['Feature']))
					$newFeat = '<ul><li class="amazon-item-feature">'.$Item['ItemAttributes']['Feature'].'</li></ul>'."\n";
			}
			$RetVal['Feature'] = $newFeat;
		}
		return $RetVal;
	}
}
/**
 * Sets up plugin
 * @since 1.0
 */
new setUp_APPIP_Features();